
= simple_form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f|
  = render "devise/shared/error_messages", resource: resource
  .row.d-flex.justify-content-center
    .col.col-6
      h2
        | Edit 
        = resource_name.to_s.humanize
      = f.input :email, autofocus: true, autocomplete: "email"
      - if devise_mapping.confirmable? && resource.pending_reconfirmation?
        div
          | Currently waiting confirmation for: 
          = resource.unconfirmed_email
      
      = f.input :password, :label => "Password (leave blank if you don't want to change it)", autocomplete: "new-password"
      - if @minimum_password_length
        em
          = @minimum_password_length
          |  characters minimum
      
      = f.input :password_confirmation, autocomplete: "new-password"
      = f.input :current_password, :label => "Current password (we need your current password to confirm your changes)" , autocomplete: "current-password"
      
      .btn-group role="group"
        = f.submit "Update", class: "btn btn-primary"
      
      hr

      h3
        | Cancel my account
      p
        | Unhappy? Be carrefully, this action can't be undone.

      = button_to "Cancel my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, method: :delete, class: "btn btn-danger"
      .mt-3
        = link_to "Back", :back
